# RSS plugin for Jekyll
# Copyright (C) 2015  Harald Eilertsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require 'rss2html'

module Jekyll
  module Tags
    class Rss < Liquid::Tag
      def initialize(tag_name, args, tokens)
        super tag_name, args, tokens
        @feed = Jekyll.sites[0].site_data['feeds'][args.strip]
      end

      def render(context)
        f = Rss2Html::Feed.new(@feed)
        f.render
      end
    end
  end
end

Liquid::Template.register_tag('rss', Jekyll::Tags::Rss)
